Groovy Documentation

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class AbstractDynamicMethodsInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
          org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodsInterceptor

All Implemented Interfaces:
  Interceptor

    public abstract class AbstractDynamicMethodsInterceptor
    extends AbstractDynamicMethods

Implements an the Interceptor interface to add support for using ProxyMetaClass to define dynamic methods.

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class AbstractDynamicMethods
clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations

Constructor Summary
`AbstractDynamicMethodsInterceptor()`
`AbstractDynamicMethodsInterceptor(java.lang.Class theClass, boolean inRegistry)`
`AbstractDynamicMethodsInterceptor(java.lang.Class theClass)`

Method Summary
`java.lang.Object` | `afterConstructor(Object[] args, java.lang.Object instantiatedInstance)`
`java.lang.Object` | `afterInvoke(java.lang.Object object, java.lang.String methodName, Object[] arguments, java.lang.Object result)`
`java.lang.Object` | `beforeConstructor(Object[] args, InvocationCallback callback)`
`java.lang.Object` | `beforeGet(java.lang.Object object, java.lang.String property, InvocationCallback callback)`
`java.lang.Object` | `beforeInvoke(java.lang.Object target, java.lang.String methodName, Object[] arguments, InvocationCallback callback)`
`void` | `beforeSet(java.lang.Object object, java.lang.String property, java.lang.Object newValue, InvocationCallback callback)`

Methods inherited from class AbstractDynamicMethods
addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty

Constructor Detail

### AbstractDynamicMethodsInterceptor

    public AbstractDynamicMethodsInterceptor()

### AbstractDynamicMethodsInterceptor

    public AbstractDynamicMethodsInterceptor(java.lang.Class theClass, boolean inRegistry)

### AbstractDynamicMethodsInterceptor

    public AbstractDynamicMethodsInterceptor(java.lang.Class theClass)

Method Detail

### afterConstructor

    public java.lang.Object afterConstructor(Object[] args, java.lang.Object instantiatedInstance)

### afterInvoke

    public java.lang.Object afterInvoke(java.lang.Object object, java.lang.String methodName, Object[] arguments, java.lang.Object result)

### beforeConstructor

    public java.lang.Object beforeConstructor(Object[] args, InvocationCallback callback)

### beforeGet

    public java.lang.Object beforeGet(java.lang.Object object, java.lang.String property, InvocationCallback callback)

### beforeInvoke

    public java.lang.Object beforeInvoke(java.lang.Object target, java.lang.String methodName, Object[] arguments, InvocationCallback callback)

### beforeSet

    public void beforeSet(java.lang.Object object, java.lang.String property, java.lang.Object newValue, InvocationCallback callback)

Groovy Documentation